import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/text_custom.dart';
import 'package:rkm_educa_app/utils/dimensoes.dart';
import '../utils/cores.dart';

class ItemHistorico extends StatelessWidget {

  String ano;
  String turma;
  var onTap;

  ItemHistorico({
    required this.ano,
    required this.turma,
    required this.onTap
});

  @override
  Widget build(BuildContext context) {

    return GestureDetector(
      onTap: onTap,
      child: Container(
        color: PaletaCores.branco,
        padding: const EdgeInsets.symmetric(horizontal: 20.0,vertical: 5),
        child: Column(
          children: [
            Container(
              width: Dimensoes.width*0.8,
              height: 65,
              padding: const EdgeInsets.symmetric(horizontal: 20.0),
              child: Column(
                children: [
                  Padding(
                    padding: EdgeInsets.symmetric(vertical: 5),
                    child: Row(
                      children: [
                        TextCustom(text: 'Ano',size: 14.0,fontWeight: FontWeight.bold),
                        SizedBox(width: 10,),
                        TextCustom(text: ano,size: 14.0,fontWeight: FontWeight.normal,color: PaletaCores.cinzaClaro,),
                      ],
                    ),
                  ),
                  Padding(
                    padding: EdgeInsets.symmetric(vertical: 5),
                    child: Row(
                      children: [
                        TextCustom(text: 'Turma',size: 14.0,fontWeight: FontWeight.bold),
                        SizedBox(width: 10,),
                        TextCustom(text: turma),
                      ],
                    ),
                  ),
                ],
              ),
            ),
            Container(width: double.infinity,height: 2,color: PaletaCores.divider,)
          ],
        ),
      ),
    );
  }
}
